{% extends 'base.html.twig' %}

{% block title %}Profile{% endblock %}

{% block body %}
    <h1>Your profile</h1>

    <div>
        <h2>Personnal information</h2>
        <div>
            <h3>Name</h3>
            <div>{{ user.name }}</div>
        </div>
    </div>
    <div>
        <h2>Contact information</h2>
        <div>
            <h3>Email address</h3>
            <div>{{ user.email }}</div>
        </div>
    </div>
    {% if invitations is not empty %}
        <div>
            <h2>Your invitations</h2>
            <div>
                <h3>Projects</h3>
                {% for invitation in invitations %}
                    <div><a href="{{ path('app_project_joinproject', {'projectId': invitation.project.uuid, 'inviteToken': invitation.token}) }}">Join {{ invitation.project.name }}</a></div>
                {% endfor %}
            </div>
        </div>
    {% endif %}
{% endblock %}
